import request from '@/utils/request'

// 查询个人认证信息列表
export function listPerson(query) {
  return request({
    url: '/system/person/list',
    method: 'get',
    params: query
  })
}

// 查询个人认证信息详细
export function getPerson(id) {
  return request({
    url: '/system/person/' + id,
    method: 'get'
  })
}

// 新增个人认证信息
export function addPerson(data) {
  return request({
    url: '/system/person',
    method: 'post',
    data: data
  })
}

// 修改个人认证信息
export function updatePerson(data) {
  return request({
    url: '/system/person',
    method: 'put',
    data: data
  })
}

// 删除个人认证信息
export function delPerson(id) {
  return request({
    url: '/system/person/' + id,
    method: 'delete'
  })
}
